var s, u;
function t() {
  return u || (u = 1, s = function(e, r) {
    var i = [];
    return r.length === 0 ? i.push({
      text: e,
      highlight: !1
    }) : r[0][0] > 0 && i.push({
      text: e.slice(0, r[0][0]),
      highlight: !1
    }), r.forEach(function(n, h) {
      var f = n[0], l = n[1];
      i.push({
        text: e.slice(f, l),
        highlight: !0
      }), h === r.length - 1 ? l < e.length && i.push({
        text: e.slice(l, e.length),
        highlight: !1
      }) : l < r[h + 1][0] && i.push({
        text: e.slice(l, r[h + 1][0]),
        highlight: !1
      });
    }), i;
  }), s;
}
export {
  t as __require
};
